For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Workflow
      • POSTExecute Workflow Async
      • STREAMExecute Workflow as Stream
      • GETCheck Workflow Execution Status
      • POSTSubmit Workflow Execution Actuals
LogoLogo
BlogLog InRequest Demo
Client SDKWorkflows

Check Workflow Execution Status

GA
GET
https://predict.vellum.ai/v1/workflows/executions/:execution_id/status
GET
/v1/workflows/executions/:execution_id/status
1import requests
2
3url = "https://predict.vellum.ai/v1/workflows/executions/execution_id/status"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "status": "INITIATED",
3 "execution_id": "string",
4 "outputs": {},
5 "error": {
6 "message": "string",
7 "code": "WORKFLOW_INITIALIZATION"
8 },
9 "execution_detail_url": "string"
10}

Checks if a workflow execution is currently executing (not fulfilled, not rejected, and has no end time). Uses the ClickHouse Prime summary materialized view.

Was this page helpful?
Previous

Submit Workflow Execution Actuals

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

execution_idstringRequiredformat: "uuid"

Headers

X-API-VersionstringOptional

Response

statusenum
  • INITIATED - Initiated
  • STREAMING - Streaming
  • FULFILLED - Fulfilled
  • REJECTED - Rejected
  • PENDING - Pending
Allowed values:
execution_idstring
outputsmap from strings to any or null
errorobject or null
execution_detail_urlstring or null

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error